Classes | Namespaces | Typedefs | Enumerations | Functions
ABWCollector.h File Reference
`#include <string>`
`#include <map>`
`#include <librevenge/librevenge.h>`

Go to the source code of this file.

## Classes
struct | libabw::ABWData
struct | libabw::ABWListElement
struct | libabw::ABWOrderedListElement
struct | libabw::ABWUnorderedListElement
class | libabw::ABWCollector

## Namespaces
| libabw

## Typedefs
typedef std::map< std::string, std::string > | libabw::ABWPropertyMap

## Enumerations
enum | libabw::ABWUnit { libabw::ABW_NONE, libabw::ABW_CM, libabw::ABW_IN, libabw::ABW_MM, libabw::ABW_PI, libabw::ABW_PT, libabw::ABW_PX, libabw::ABW_PERCENT }
enum | libabw::ABWListType { libabw::ABW_ORDERED, libabw::ABW_UNORDERED }

## Functions
bool | libabw::findInt (const std::string &str, int &res)
bool | libabw::findDouble (const std::string &str, double &res, ABWUnit &unit)
void | libabw::parsePropString (const std::string &str, ABWPropertyMap &props)